GNU bug report logs - #30448
Update librsync to 2.0.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Leo Famulari <leo@HIDDEN>; Keywords: patch; dated Tue, 13 Feb 2018 19:02:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 30448-done <at> debbugs.gnu.org:


Received: (at 30448-done) by debbugs.gnu.org; 13 Feb 2019 00:00:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 12 19:00:46 2019
Received: from localhost ([127.0.0.1]:45507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gthyn-0004XV-VX
	for submit <at> debbugs.gnu.org; Tue, 12 Feb 2019 19:00:46 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:42161)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gthym-0004XE-Lv
 for 30448-done <at> debbugs.gnu.org; Tue, 12 Feb 2019 19:00:45 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 8140F22237;
 Tue, 12 Feb 2019 19:00:39 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 12 Feb 2019 19:00:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=DfkFAFbrJhsLi0t5FVJpwwMp
 OPv44VGRoTjdntfEUDs=; b=bresLeD9RswXLmr1u8no6DI/bCIKE9HthnuREW6/
 vwnO6IWitZWMbFeq4pgeFRxs+nRB6tR79FmZ2Q+rDu9twINUJl+3D/n6uGP/MxaS
 nAw9+Quzymn94aMHRdoju5OXLA6igQweIMtSiXV5dTd9B5g0lUYiez6yHgDvtdXO
 x50=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=DfkFAF
 brJhsLi0t5FVJpwwMpOPv44VGRoTjdntfEUDs=; b=xqZ09XyTzFgJU5rLUlgVjN
 89it7BZV708v6LnJVYBwR0KKFmQS7Pejn4wmpH5AM3eZNSQPfiKjgyqfPkWyLwrK
 nngyp45NZeealoY4YToIs/HLQKwUBGYUQyaQqe9fRwY3XPKXWAooscdiLOfzssRt
 K5e1lpcyz0yqk1mgv2Dq7iEUDTAsb3p5wY8kpYL/KsNRv+e79mzf6gcd9wHOlGwr
 MBA2U2TfB0UF0bLuCr2621OO5oWeuXi2u5pU66ftXR37qyDJXs81AsJN5L4WKWqM
 TTPs7MQDz1A4fCi5druCoMJWaiAxXE43a6z7eDJw7n6aj/x54679G+l6hAj+wOoA
 ==
X-ME-Sender: <xms:JF5jXJ_rKWuPSdyKEi-jW6rHFPdZ1djHpU5uJFFvHFiK6KeLZWhqvQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtledruddtvddgudejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecumhhishhsihhnghcuvffquchfihgvlhguucdlfedtmdenucfjughrpeffhffukf
 hfgggtuggjfgesghdtreertdervdenucfhrhhomhepnfgvohcuhfgrmhhulhgrrhhiuceo
 lhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecukfhppeejiedruddvgedrvddtvddrud
 efjeenucfrrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghm
 vgenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:JF5jXB8iQwSkKb275WsOOEjy71Tph22524EepuzC9_W5rzGjo0PgiA>
 <xmx:JF5jXCBOfDmPkhJNTc4bpr4aGAWBbh7kQYKnrbQkgoUT2aOKjnMeRg>
 <xmx:JF5jXBwNnfwI_qxVkf7Lh2jAyI_fm0y-TAC1WI_4x0tv0yDcXHZXMg>
 <xmx:J15jXFmzYVjxBJsySN4xDk21tIVdX-zNb3sCdwMqtdNb_q8uu07nzA>
Received: from localhost (c-76-124-202-137.hsd1.pa.comcast.net
 [76.124.202.137])
 by mail.messagingengine.com (Postfix) with ESMTPA id 0BCC4E4669
 for <30448-done <at> debbugs.gnu.org>; Tue, 12 Feb 2019 19:00:36 -0500 (EST)
Date: Tue, 12 Feb 2019 19:00:35 -0500
From: Leo Famulari <leo@HIDDEN>
Subject: Re: Breaking rdiff-backup and btar (was Re: [bug#30448] Update
 librsync to 2.0.1)
Message-ID: <20190213000035.GA2069@HIDDEN>
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
 <87k1sy2i6u.fsf@HIDDEN> <20180424175715.GA14535@HIDDEN>
 <878t9c1h61.fsf@HIDDEN> <20180425172333.GA25054@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="bg08WKrSYDhXBjb5"
Content-Disposition: inline
In-Reply-To: <20180425172333.GA25054@HIDDEN>
User-Agent: Mutt/1.11.2 (2019-01-07)
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 30448-done
Cc: 30448-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)


--bg08WKrSYDhXBjb5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Apr 25, 2018 at 01:23:33PM -0400, Leo Famulari wrote:
> Btw, the affected packages (btar, rdiff-backup, and duplicity) are the
> only users of librsync in Guix. So I think there is no reason to
> update librsync for now.

Closing this bug ticket...

--bg08WKrSYDhXBjb5
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlxjXiIACgkQJkb6MLrK
fwhK+RAAgvmstH5aYzM2YQl9u92zkFKlk7eW4ND6Hn+u4vBBl6JWyZlfjWkpj18D
tl1Z8U1Dola1q5MGRym4P9EImxpfTuhHU8jkVKEX9rfpLkeLGeSsRaRMD0BHaH/B
v0NCYPjBioSk0QvUo6WAA/0KUHAIQogyizbwV2q5imJUpjImAccLEYyVR+qVPmQr
JP5X5sKi/4k4ZdYHBJvlAJof5FZEpAO1+Xa3eG0k/sqNRawRWt3Wu1ls5ysjLPjo
yIdbk0aMPdWK3xyhYyyOAYSEGjyRc5fjyELq71/tF6RG34bXuSNDpAeqvixEV3iC
2fcGshp3ZJdTUADeuzzu1FBUMgdQBaZb1AhEBMLX160gPUlOdWhLNHJb0jfLpKC9
tb/J/aVFEShXlOBXoKqKXCFOIGlaht3+3nDc4h2yVImUYfMULLrJOFjet4M7p7Mi
zODwKP5YR/ODS5+cyR+rOHF+MQKZb9oiH26Fmjsr4xBgjf1C5ztvZ0r2B2vRyijx
4C9xnyNWgQOLnyaeTQU7jMxKlIoBsLLDpo/bh1BJQRFl97y+qVU165XzUp43fmJp
dyRc+Mbqb30fGyqOZecUmiQFPU2t6GYXQi9gIdz19Mb9FmP8wbKvVfVEgSVrb9yg
C4i22jV0ChFUFASNf054/L4taL9V/sQgvv2JOJNVhD2j+rxvDWA=
=Rwpj
-----END PGP SIGNATURE-----

--bg08WKrSYDhXBjb5--




Notification sent to Leo Famulari <leo@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Famulari <leo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 28 Apr 2018 16:48:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 28 12:48:44 2018
Received: from localhost ([127.0.0.1]:42186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fCT1g-0001l9-N7
	for submit <at> debbugs.gnu.org; Sat, 28 Apr 2018 12:48:44 -0400
Received: from mail-wr0-f175.google.com ([209.85.128.175]:41626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1fCT1d-0001kX-2D
 for 30448 <at> debbugs.gnu.org; Sat, 28 Apr 2018 12:48:41 -0400
Received: by mail-wr0-f175.google.com with SMTP id g21-v6so4430386wrb.8
 for <30448 <at> debbugs.gnu.org>; Sat, 28 Apr 2018 09:48:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=zeJgon3XMEH+vC33EPFF60qfgcxEYQNFZyVsw3/m1KQ=;
 b=PR839nnySXG013ac0lX3TkrdFm8/tc7aMtjMjmjkxerOCYPQVlrg2b1vt+DOs+vcI4
 flHic8vOMEikizIvaPLcqrgfJynJXa04GtBYfQGZI/bi8l62saHQOBVZU6FmPmDWJuNj
 ctebdcMBWn1HMIS9K5el6W/IkFHoRGS/iKD6DYES9bxJ03lwnywsu/znMDHg8e6LGlVW
 cJXbxndaEiRhduUDFpFCIDw+p2ZF3mRUhHKmRzlaB/Re/UnC/RYZvh2HzTbqqzDDTsXj
 MyxhFE1V+0hgamF5zrx0eVfCWaeD0ZYlXeXDLEfEU2ZxuulBMj+tjH3M2BAfxYUoN6fo
 vylQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=zeJgon3XMEH+vC33EPFF60qfgcxEYQNFZyVsw3/m1KQ=;
 b=Rm9PYeuwIu5CSUoeTz0OZ3ekqSXVdIbI820W6oAkfijn2kpa16jALDyyi61yWFG3lr
 rlVCDL0JAQ3gRg07lnCd8gc4MUZP3599M581EEBbO0CRUHVnYKHT2HkGWHsI7dvAP5yD
 DdPdFPMUB+ca8IU1qOapikanWbakGzTskvzuTHHL4ZM1r3VfEgxhmfJ7Yzty4pFg08Yb
 OVSMQbcykzB+NOTJKXZ/6nSQI1SU0JuJBYuYLG5sachTmSWBk3UKEgUF6Ayu+QIjDz7e
 oT8bnwIRv4MV1BIPd0IpOB5aBjedXHjqcj3dEAVQjnjRJbO0yIqAEyGmOoQirB9Ibdvl
 GGOw==
X-Gm-Message-State: ALQs6tAiqDY1kd0y17q9dvE5lwWVEbkDtVH2GoR2QvcEE+1Kh+3Qrca7
 0LfEbbi5dy5/Ve30n1c0BtFgTQ==
X-Google-Smtp-Source: AB8JxZp75qRDKMOqPjdNBwFTajSANsd1gXxdeIRmdzBG1GQeEJYaYuO/lSQO73y3jCSCJImouiuZgQ==
X-Received: by 2002:adf:a690:: with SMTP id t16-v6mr4829265wrc.1.1524934114884; 
 Sat, 28 Apr 2018 09:48:34 -0700 (PDT)
Received: from magnolia (ppp91-122-87-62.pppoe.avangarddsl.ru. [91.122.87.62])
 by smtp.gmail.com with ESMTPSA id
 b5-v6sm3757209wrf.40.2018.04.28.09.48.33
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 28 Apr 2018 09:48:34 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#30448] Breaking rdiff-backup and btar (was Re: [bug#30448]
 Update librsync to 2.0.1)
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
 <87k1sy2i6u.fsf@HIDDEN> <20180424175715.GA14535@HIDDEN>
 <878t9c1h61.fsf@HIDDEN> <20180425172333.GA25054@HIDDEN>
Date: Sat, 28 Apr 2018 19:48:25 +0300
In-Reply-To: <20180425172333.GA25054@HIDDEN> (Leo Famulari's message of
 "Wed, 25 Apr 2018 13:23:33 -0400")
Message-ID: <87muxn6zvq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 30448
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 Eric Bavier <bavier@HIDDEN>, 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Leo Famulari <leo@HIDDEN> writes:

[=E2=80=A6]

> Yeah, it makes me wonder if duplicity is still maintained or not...

The upstream does maintain duplicity.  Also I did a version update
0.7.12 -> 0.7.17 in our package recipe.  I hope to send it to Guix
patches mailing list after testing it myself for some time.

[=E2=80=A6]

Oleg.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEc+OyAXw1EaDPCmAPckbhHGm3lWkFAlrkpdoACgkQckbhHGm3
lWmDAA/+PCpETZo5uqBqYy17WjCp0CaHhWCtOsQh5HsgFOKgqSBeJd9KAEN8j/+F
trCLZAaWql4Cml8pefif1970rPSkqrCS6mPgivPi8is7X+5GyOVn40IzOVMGxTr2
8R2nuWsV54BeUMO+1nv7F8BDwHn93jcSTRZcjghu3aVcIvlLOztMseeZMXkgSFS2
bcye82ANm7hFiANlCo9v8QF2bvycuBpVwrvhBZZgfHDQV7tNoqoKeG+NCUW83nAs
NWG4uza+drF946/ecYqLOHPvAYhJ2RahpaShwaW/kllBeEVo5sJe1FU22KG8Cw+5
RHzuBrrEjn7zEHaF6iB/Kr5Bv+Z9akM7ZVQlO8b/n9OLFVAwNVCro/72/AaQvmOf
Y6MVGxOr1G2UI6wMKU2p3eJmQzedYmK6IlWy/puVGwUm57nwDry1f6ywg2FRLBI3
m/ZF9K/wh1FshMiQcYMf6zKrURuVbhtIaoQjNKxpSRh4h7EXNsEJ80jw06XyUdUm
a4csrcsTboD+1kqGkupv5E6cBIIEVufBjDAVLUnXVvMyF89w8rlP+4xCI/NSL77Q
cLhYLu6J6eEMCtmVcc5j2zjvTm4Zkr9cFVi2mrW+fYutDqlYoalLVGTvi4qVSEJI
/eXm8Ui7UUVUYFkrYD+Onhv+8VNX4g3+pNVXJDAvkivOkJCxaTs=
=s7dV
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 25 Apr 2018 17:23:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 25 13:23:39 2018
Received: from localhost ([127.0.0.1]:39519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fBO8m-0003Fx-LO
	for submit <at> debbugs.gnu.org; Wed, 25 Apr 2018 13:23:36 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:49477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fBO8l-0003Fq-CX
 for 30448 <at> debbugs.gnu.org; Wed, 25 Apr 2018 13:23:35 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id A2DB221116;
 Wed, 25 Apr 2018 13:23:34 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Wed, 25 Apr 2018 13:23:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=qVXUP7tX+tWXvXkjl0lxuuRnKcIgFpCVB86Xk9OGd+4=; b=O1qNB
 zGsXBCkEzdkDTk033Yf3Im5ZlgqOu+ypE+CwaMDxgbLeQlNq2uawC5FDMZxrhKMl
 TBSYgjgcY0WjsjHTuUI24G3snsHJRIw600/TsG7b0A8BZl+7UpqQXUBb1okfrHJE
 uaRQtv1m2zpxoF/nmaAzex0YJqFFXsxM6Gyjb4=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=qVXUP7tX+tWXvXkjl0lxuuRnKcIgF
 pCVB86Xk9OGd+4=; b=hMRyu+t4vhTwRTBkWzgQQiIrOPPfvBzx6wAYFhYPMUjID
 IHltHzSRg2Z86S7laFuf74jnJjMGc+uElpYZkU5vViCose2A+gqzLMgzFDthZiTX
 3IQc573Ad9Nmc36tpJfBp/cz79sHKyrc5waXLApDPCS+ku3p/YkxF84FTQZWGWho
 Uw80sN2lgtNvoV4v3QlyblXWAwVDvHc1iMZ2e+0B+3aonFUFATbGNfHQMnu3NbTQ
 89hwzlop3eE97Yog6CFSsVved1mM8Q8PwK0knJtXfR8QQn4UAmliOzGXdzu283qE
 5L3hMyRW/3xYdtNrTxy8aPk6nF0vA4MmtjYZ3X4Lw==
X-ME-Sender: <xms:lrngWs22i1WJy6pVZ5ApvXmtdgXp2grr08YzGDHJofHKoD4_XLTzww>
Received: from localhost (pool-71-105-112-198.nycmny.fios.verizon.net
 [71.105.112.198])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5A95510263;
 Wed, 25 Apr 2018 13:23:34 -0400 (EDT)
Date: Wed, 25 Apr 2018 13:23:33 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: Breaking rdiff-backup and btar (was Re: [bug#30448] Update
 librsync to 2.0.1)
Message-ID: <20180425172333.GA25054@HIDDEN>
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
 <87k1sy2i6u.fsf@HIDDEN> <20180424175715.GA14535@HIDDEN>
 <878t9c1h61.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="n8g4imXOkfNTN/H1"
Content-Disposition: inline
In-Reply-To: <878t9c1h61.fsf@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30448
Cc: Eric Bavier <bavier@HIDDEN>, 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--n8g4imXOkfNTN/H1
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Apr 24, 2018 at 10:30:14PM +0200, Ludovic Court=C3=A8s wrote:
> Leo Famulari <leo@HIDDEN> skribis:
>=20
> > PS =E2=80=94 this issue highlighted for me that the duplicity backup pr=
ogram
> > also depends on librsync with MD4. For recent versions of librsync,
> > duplicity forces librsync to fallback to MD4...
>=20
> Woow, it does sound like a problem.  :-/

Yeah, it makes me wonder if duplicity is still maintained or not...
A few years ago there was some discussion of making duplicity compatible
with librsync's new BLAKE2 message digests, but I guess the work has
stalled.

Btw, the affected packages (btar, rdiff-backup, and duplicity) are the
only users of librsync in Guix. So I think there is no reason to
update librsync for now.

--n8g4imXOkfNTN/H1
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrguZUACgkQJkb6MLrK
fwhQTQ/+IylaLzkXaxsX1XSFEvjh6OUWpwfuMSbncNAODBmAPppc6Ryx+970t3gt
xOGWtBnNLdVX6fh2wXzZ2UqflV1LjsJ/glX1xz3mSO1Z+YRMTmF5VXAXreHmOc01
7OguUsJ79b3cDKiX/QTB78L/GjawbM2PKxOdhrTfB/fKYaQxXF4SK5UIbpqDgqtz
gdr0TsL7fyeLW+RVSzMdrm5QlKyslyYSGafduO8XsUpngTfexaVM3G9cwZLRrs6F
CuhR0f3g9KFEg+K6arNK/vYBcwPPIXoH/4s4UenV2AzgmJrfYZ6pOVrRC7eLBjwF
Kn6Y2BHvIsHBO6DNL0+dxxBO5xWMO2oCxGZ4NCiF8Qabt9R5IpQtrm/rQ9YteZAB
OwFGOzZx8ObXMqN5iC6VcrXwsZxu8ls4fsY3LvNb97ZJubxwkjtJuWm6zOKRoYW4
FjinnCwz+P2C5V/WlcWRRUyrJdFiEAgKslfflFuXzU504ZHyQNKW+iNXF3o8Fj74
HtZBduNhRfwFagcs7aenQ9VOSS4Xe3VrtG9W0nHiPodDguF10GJzHgLmSRZNit4q
lz0wD29xK8B9P0kaBQN7UbrzfyEdXllFnGPEYLpQMcpUF9nnvNigEIFt4+q7wUln
QDEWbnxlJWRFsYDHcmVAjepPgb3Y4PjgEC6sJwtohow4TRZG9XU=
=lZfk
-----END PGP SIGNATURE-----

--n8g4imXOkfNTN/H1--




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 24 Apr 2018 20:30:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 24 16:30:20 2018
Received: from localhost ([127.0.0.1]:38488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fB4Zw-0001Xj-GO
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2018 16:30:20 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:42572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fB4Zu-0001Xa-8f
 for 30448 <at> debbugs.gnu.org; Tue, 24 Apr 2018 16:30:18 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 2986212635;
 Tue, 24 Apr 2018 22:30:17 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id IEGWjpSRi4ja; Tue, 24 Apr 2018 22:30:15 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 50E1E10827;
 Tue, 24 Apr 2018 22:30:15 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: Breaking rdiff-backup and btar (was Re: [bug#30448] Update
 librsync to 2.0.1)
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
 <87k1sy2i6u.fsf@HIDDEN> <20180424175715.GA14535@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 =?utf-8?Q?Flor=C3=A9al?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 24 Apr 2018 22:30:14 +0200
In-Reply-To: <20180424175715.GA14535@HIDDEN> (Leo Famulari's message of
 "Tue, 24 Apr 2018 13:57:15 -0400")
Message-ID: <878t9c1h61.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30448
Cc: Eric Bavier <bavier@HIDDEN>, 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Leo Famulari <leo@HIDDEN> skribis:

> PS =E2=80=94 this issue highlighted for me that the duplicity backup prog=
ram
> also depends on librsync with MD4. For recent versions of librsync,
> duplicity forces librsync to fallback to MD4...

Woow, it does sound like a problem.  :-/

Thanks for the clarification,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 24 Apr 2018 17:57:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 24 13:57:20 2018
Received: from localhost ([127.0.0.1]:38400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fB2Bs-0006Jo-7t
	for submit <at> debbugs.gnu.org; Tue, 24 Apr 2018 13:57:20 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:57153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1fB2Bq-0006Jg-Et
 for 30448 <at> debbugs.gnu.org; Tue, 24 Apr 2018 13:57:19 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 9553F21A41;
 Tue, 24 Apr 2018 13:57:17 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 24 Apr 2018 13:57:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=nwxV2S3ySO5dTXzmq2tvFoTkHIzlUhQj//zQEYoPbfY=; b=g9QZT
 KjYXqD8AK7ew435Srb8wBNgZ0l57ZDPqfkJ5QblxMMPDsPCC3CSv7K2C/sQepxDC
 IJwZxFFIe1It4uC/AGf/WL8weE2yQ4I9svnmXBgN8zxor7xN45u2MjfiitgeTZR8
 HgvljSs/EhMna7DDSiQ9zALBz4ToGPXUM8QYJQ=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=nwxV2S3ySO5dTXzmq2tvFoTkHIzlU
 hQj//zQEYoPbfY=; b=V/q2+m1qIAsG/WupyZFR8cdlqe0kwjy5zOUoXlG8YdHPE
 7gfldpuhIn5JxqrT7oeE3wGEr8przyvffrdwres+DIFKuOElDnpoLSV4B5gKDwur
 AV3uAV4JgFwfNmQiskZ42hN5SgsTnBt6dlob+3R0Jyj12osOKXs2Os+K4i0t/JLL
 4kn3mRl5oN7/qZgkzCAQK27s5QlRPkh/xLnH5Ys9JVNgSa8hhd69WL4PXNK1Mpqb
 RAa5Odbips1FnKi5Ng3nHRM59lkdmy2fKvgPP6/akStdOFP4L7FWeUaGZJtZQhoU
 1eqB3B8lFD2kVnvdzDG0rWTfSXfctDV2nNF3G3cjw==
X-ME-Sender: <xms:_W_fWikiLqnmnPWb23XceRKLo6PgFtZUvqvd572-OZeuVOjKCHW24w>
Received: from localhost (unknown [172.58.201.55])
 by mail.messagingengine.com (Postfix) with ESMTPA id 2A1801025C;
 Tue, 24 Apr 2018 13:57:17 -0400 (EDT)
Date: Tue, 24 Apr 2018 13:57:15 -0400
From: Leo Famulari <leo@HIDDEN>
To: Ludovic =?iso-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Breaking rdiff-backup and btar (was Re: [bug#30448] Update librsync
 to 2.0.1)
Message-ID: <20180424175715.GA14535@HIDDEN>
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
 <87k1sy2i6u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="pWyiEgJYm5f9v55/"
Content-Disposition: inline
In-Reply-To: <87k1sy2i6u.fsf@HIDDEN>
User-Agent: Mutt/1.9.5 (2018-04-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 30448
Cc: Eric Bavier <bavier@HIDDEN>, 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--pWyiEgJYm5f9v55/
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Apr 23, 2018 at 02:58:17PM +0200, Ludovic Court=C3=A8s wrote:
> ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:
>=20
> > Leo Famulari <leo@HIDDEN> skribis:
> >
> >> Is anyone using one of the dependent packages interested in looking mo=
re
> >> closely at this?
> >
> > I=E2=80=99m not using it, but at first sight the patch LGTM.
>=20
> Ping!  :-)

My understanding is this update will break btar and rdiff-backup.

I suspect this will annoy some Guix users. Plus, I don't know if these
projects make an effort to detect MD4 collisions or not; perhaps they
are safe to use despite the broken librsync dependency.

We could add an old librsync package variant for those packages, but we
should add a note about the reliance on MD4.

I'll wait a few days for more feedback.

PS =E2=80=94 this issue highlighted for me that the duplicity backup program
also depends on librsync with MD4. For recent versions of librsync,
duplicity forces librsync to fallback to MD4...

--pWyiEgJYm5f9v55/
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlrfb/cACgkQJkb6MLrK
fwgv4w/+Ok35Ie+bPnHbawLuYiWrCiuAYfitw683OeJj38A8HNJ/I8r2sX06JE3K
1tYUFqv0F2rBLaYUwMvOWn5Zs40d7sBE9GenibFu6j9fyBE4FjHlbmWDw9PPLBVX
q+ZgDW+tuTJqFskpvtD6C6thfY89NMMfnE24eXeKi3bAy/fkn2/jIZ3gDuaCK+Dp
MmjD/vXuVBPoBcvGeK0OiEAcq6QQ5ti1Iqv3LF48xUgtN4/ybtW6MGG2M2fX/2et
jbY+BJnCzYlAjxSRL1PQbJEzjZhd0E0piK48OC3x4b4PLWK509Y9y4HlAusnV7ze
oWKqfocsINGqZSfMrLfTuIVJuV1ojodfopFMlCrRUg4fb2tZhjhqRjyTcHo/SuTF
9poEhzqN7qjBIJqFmrp8kFXYyB3hhwkwN14TUvIU9mX0Exap8sR4AE9/t7iRk68b
JMQswNJL0F7v4zovKnw5/cFVKlRUjPiJ3gSKFzKzphu/N2dHD134Av7tDnS3acXc
yHGhKBWgY0yI5HWUslchSrG5xtFQ2RD/SEEUE+T5nWmJBazCHwq15cP6ZgitYXkf
paVsGXouXLEOhtj+vhQHOFxibJbIuCtMtH3T4LIKKvgD9x9Qab6/obI9bOckEQGJ
ZTTlMa44XPdVOuPed8T4dzJQGSKp2CeNMGYO8t1lyD4laKMx68c=
=Wc0b
-----END PGP SIGNATURE-----

--pWyiEgJYm5f9v55/--




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 23 Apr 2018 12:58:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 23 08:58:21 2018
Received: from localhost ([127.0.0.1]:36577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fAb2y-0004A9-Vx
	for submit <at> debbugs.gnu.org; Mon, 23 Apr 2018 08:58:21 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:56306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fAb2w-0004A1-VS
 for 30448 <at> debbugs.gnu.org; Mon, 23 Apr 2018 08:58:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 70A46121A5;
 Mon, 23 Apr 2018 14:58:18 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ln2YZTYnRKEK; Mon, 23 Apr 2018 14:58:17 +0200 (CEST)
Received: from ribbon (unknown [193.50.110.139])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 75B1412135;
 Mon, 23 Apr 2018 14:58:17 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#30448] Update librsync to 2.0.1
References: <20180213190113.GA22610@HIDDEN> <87zi4a8h0v.fsf@HIDDEN>
Date: Mon, 23 Apr 2018 14:58:17 +0200
In-Reply-To: <87zi4a8h0v.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 15 Feb 2018 15:27:28 +0100")
Message-ID: <87k1sy2i6u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30448
Cc: 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

ludo@HIDDEN (Ludovic Court=C3=A8s) skribis:

> Leo Famulari <leo@HIDDEN> skribis:
>
>> Is anyone using one of the dependent packages interested in looking more
>> closely at this?
>
> I=E2=80=99m not using it, but at first sight the patch LGTM.

Ping!  :-)




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.
Added tag(s) patch. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 30448 <at> debbugs.gnu.org:


Received: (at 30448) by debbugs.gnu.org; 15 Feb 2018 14:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 15 09:27:34 2018
Received: from localhost ([127.0.0.1]:43819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1emKVY-0006Ly-2b
	for submit <at> debbugs.gnu.org; Thu, 15 Feb 2018 09:27:34 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:55684)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1emKVW-0006Lq-2e
 for 30448 <at> debbugs.gnu.org; Thu, 15 Feb 2018 09:27:30 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 8827F1163C;
 Thu, 15 Feb 2018 15:27:29 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id rlpYlVjcWEAy; Thu, 15 Feb 2018 15:27:28 +0100 (CET)
Received: from ribbon (unknown [193.50.110.160])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id A4B991163B;
 Thu, 15 Feb 2018 15:27:28 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Leo Famulari <leo@HIDDEN>
Subject: Re: [bug#30448] Update librsync to 2.0.1
References: <20180213190113.GA22610@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 =?utf-8?Q?Pluvi=C3=B4se?= an 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 15 Feb 2018 15:27:28 +0100
In-Reply-To: <20180213190113.GA22610@HIDDEN> (Leo Famulari's message of
 "Tue, 13 Feb 2018 14:01:13 -0500")
Message-ID: <87zi4a8h0v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30448
Cc: 30448 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello,

Leo Famulari <leo@HIDDEN> skribis:

> Is anyone using one of the dependent packages interested in looking more
> closely at this?

I=E2=80=99m not using it, but at first sight the patch LGTM.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Feb 2018 19:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 13 14:01:38 2018
Received: from localhost ([127.0.0.1]:41789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1elfpc-0007WZ-B4
	for submit <at> debbugs.gnu.org; Tue, 13 Feb 2018 14:01:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:42776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1elfpa-0007WM-FU
 for submit <at> debbugs.gnu.org; Tue, 13 Feb 2018 14:01:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1elfpU-0007Tx-1x
 for submit <at> debbugs.gnu.org; Tue, 13 Feb 2018 14:01:25 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60033)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leo@HIDDEN>) id 1elfpT-0007Tp-Td
 for submit <at> debbugs.gnu.org; Tue, 13 Feb 2018 14:01:23 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33742)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1elfpP-0007uu-UN
 for guix-patches@HIDDEN; Tue, 13 Feb 2018 14:01:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <leo@HIDDEN>) id 1elfpL-0007QE-Rl
 for guix-patches@HIDDEN; Tue, 13 Feb 2018 14:01:19 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:33197)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <leo@HIDDEN>) id 1elfpL-0007Pz-II
 for guix-patches@HIDDEN; Tue, 13 Feb 2018 14:01:15 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id C9525210D6;
 Tue, 13 Feb 2018 14:01:14 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute4.internal (MEProxy); Tue, 13 Feb 2018 14:01:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=mesmtp; bh=niupHepzRbZmL8
 xhE6z7F1EyheKEYldAYetOoNmW0LY=; b=YdlVI4fbaQqteALrb25W4KA6/FrybR
 p+yyI11HWt9pcI2xugqyfwTMEn5OSgL3Gc3FN7uNa/b38g2Q4CdnLTHo1qTEuYoy
 SosK6YG+KYMpmpMNEgcrrb0WaLYc0t5xbLf4Nuvxo9SLbGJ7b4JnO9qi4WaMJC15
 NObNYH1MnKLAs=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; bh=niupHepzRbZmL8xhE6z7F1EyheKEYldAYetOoNmW0LY=; b=QwrzRFIJ
 kh0pzYlpk45FmCJX6siGppfipKDxmZXyDgxcNPYWwfGmNgU0kit766uf3PFghZhx
 rvkxrOvvDZ3NgqGRiyYCOp5xzKx7r5LpKV5ZYYT20EgR/Sr+U/yAMrf5uClgu1KE
 yAyAdgdWzROl9P0q7Jx2VkxZhi850rqtf4Hbhoc771YGFHyn0PhMQJcykxCPTYFS
 VR4hVxALVjgNg9wdKZWWL/WWvjILTDxFWA4CJVGJjFgqf8DqP2ZM8SRPojJDz/gt
 Bp1pYtkHW6F3RWMrttsmY45hFmLVdcF3UNk5ExaJUMaKGT4+wLHB3XSv4yS7iA5t
 coUI20H7tsWbQw==
X-ME-Sender: <xms:-jWDWl-qNUawF4JyCDyjPGkoSOBhjnQHqyrNHGiFyqrMa77xg3u2YQ>
Received: from localhost (unknown [172.58.225.135])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7B233246AC
 for <guix-patches@HIDDEN>; Tue, 13 Feb 2018 14:01:14 -0500 (EST)
Date: Tue, 13 Feb 2018 14:01:13 -0500
From: Leo Famulari <leo@HIDDEN>
To: guix-patches@HIDDEN
Subject: Update librsync to 2.0.1
Message-ID: <20180213190113.GA22610@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="1UWUbFP1cBYEclgG"
Content-Disposition: inline
User-Agent: Mutt/1.9.3 (2018-01-21)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)


--1UWUbFP1cBYEclgG
Content-Type: multipart/mixed; boundary="/04w6evG8XlLl3ft"
Content-Disposition: inline


--/04w6evG8XlLl3ft
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

librsync 2.0.1 is available at a new upstream URL:

https://github.com/librsync/librsync/releases

Patch attached.

This would also include the fix for CVE-2014-8242, which is about use of
a cryptographically broken hash function (truncated MD4), released in
librsync 1.0.0.

However, at least btar and rdiff-backup aren't compatible with this new
version of librsync (I'm still building deja-dup to test its
compatibility).

Additionally, I noticed that the built package doesn't keep any
references to bzip2 or zlib, which seems wrong to me.

Is anyone using one of the dependent packages interested in looking more
closely at this?

--/04w6evG8XlLl3ft
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: attachment; filename="0001-gnu-librsync-Update-to-2.0.1.patch"
Content-Transfer-Encoding: quoted-printable

=46rom f89c21668a82a78bdc7b7bf5d2a0a3418032b582 Mon Sep 17 00:00:00 2001
=46rom: Leo Famulari <leo@HIDDEN>
Date: Tue, 13 Feb 2018 13:50:26 -0500
Subject: [PATCH] gnu: librsync: Update to 2.0.1.

* gnu/packages/rsync.scm (librsync): Update to 2.0.1.
[source]: Update source URL.
[build-system]: Use cmake-build-system.
[inputs]: Add bzip2, popt, and zlib.
[arguments]: Remove field.
---
 gnu/packages/rsync.scm | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

diff --git a/gnu/packages/rsync.scm b/gnu/packages/rsync.scm
index 4fed03523..6f4c1aec9 100644
--- a/gnu/packages/rsync.scm
+++ b/gnu/packages/rsync.scm
@@ -3,6 +3,7 @@
 ;;; Copyright =A9 2016 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright =A9 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright =A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright =A9 2018 Leo Famulari <leo@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -21,12 +22,15 @@
=20
 (define-module (gnu packages rsync)
   #:use-module (gnu packages)
-  #:use-module (gnu packages perl)
   #:use-module (gnu packages acl)
   #:use-module (gnu packages base)
-  #:use-module (guix licenses)
+  #:use-module (gnu packages compression)
+  #:use-module (gnu packages perl)
+  #:use-module (gnu packages popt)
+  #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
   #:use-module (guix download)
+  #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu))
=20
=20
@@ -51,25 +55,28 @@ to/from another host over any remote shell, or to/from =
a remote rsync daemon.
 Its delta-transfer algorithm reduces the amount of data sent over the netw=
ork
 by sending only the differences between the source files and the existing
 files in the destination.")
-   (license gpl3+)
+   (license license:gpl3+)
    (home-page "http://rsync.samba.org/")))
=20
 (define-public librsync
   (package
     (name "librsync")
-    (version "0.9.7")
+    (version "2.0.1")
        (source (origin
             (method url-fetch)
-            (uri (string-append "mirror://sourceforge/librsync/librsync/"
-                                version "/librsync-" version ".tar.gz"))
+            (uri (string-append "https://github.com/librsync/librsync/arch=
ive/v"
+                                version ".tar.gz"))
             (sha256
              (base32
-              "1mj1pj99mgf1a59q9f2mxjli2fzxpnf55233pc1klxk2arhf8cv6"))))
-   (build-system gnu-build-system)
+              "0pk2a9kpwlpxjn35v8m03wmxz0lv56kq1chs3yi75z543826kkkg"))))
+   (build-system cmake-build-system)
+   (inputs
+    `(("bzip2" ,bzip2)
+      ("popt" ,popt)
+      ("zlib" ,zlib)))
    (native-inputs
     `(("which" ,which)
       ("perl" ,perl)))
-   (arguments '(#:configure-flags '("--enable-shared")))
    (home-page "http://librsync.sourceforge.net/")
    (synopsis "Implementation of the rsync remote-delta algorithm")
    (description
@@ -78,4 +85,4 @@ remote-delta algorithm.  This algorithm allows efficient =
remote updates of a
 file, without requiring the old and new versions to both be present at the
 sending end.  The library uses a \"streaming\" design similar to that of z=
lib
 with the aim of allowing it to be embedded into many different application=
s.")
-   (license lgpl2.1+)))
+   (license license:lgpl2.1+)))
--=20
2.16.1


--/04w6evG8XlLl3ft--

--1UWUbFP1cBYEclgG
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlqDNfUACgkQJkb6MLrK
fwjpow//fo1gSF1I9aR0C0xqq8QhjBFZk/QM12wdXfwUNRaWmTHLUy0Kgf63SXEC
qlTFOnMaeE1NwU875wxhtH3QT5e3rL328oPzrE9WeOtCDFkAaaqGG4ddIJ9o1Mi6
Koz2lvw8TP+sYRhpm5AFvisHxQ/r3Vnt6xSmt7G/9IjSQCxOX48GHtkyH5qtGOBz
gFvdFjHjPo1T0JCyX/tn8EJSxCSOzJV7BFrpp8g5YyCqQVbp10mN/xnjIZhENMvW
p2IbQwQT8gmYlGZXIZOfcCsMb+qv5bAgZPxYpX/EHL53e/3UTLEkoxigCB9p0CYc
Rn7OE34qHq2vm9mzSZVd7PTFbKUCJlG+p4JTyNnJagI3OUSsvV43IL+FMiWX2SjS
EikvFeMmqe65m+FsIaEp6HSnBUSk/qxDXBCiJbPV5Lxmkx5oaMTb7oyIBQSS6Vtj
FzvS5+D0ds8orDVeA1BcPcQ9ADpnZX7ld+b07W9sxcuJxGrvykQtiuv3XvEUs4Cc
3Br3aB5X8a/e2fcBO9fHdbr5PVmB3FRQY8cLhJ9HpBtplrNiq0vhz75j6QjSaY74
xUDFW0FDaBTuEW1mztruInTL8ELxlOzAAzMBmCKGkYJg8ogqgJbDoqnFsvpQP8rC
D5Qajt3UOvydBFep/qYQOhQNOy0j+j4D5BBDj0xVRkGN6wOoqBI=
=nIsZ
-----END PGP SIGNATURE-----

--1UWUbFP1cBYEclgG--




Acknowledgement sent to Leo Famulari <leo@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#30448; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Feb 2019 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.